BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Classes | Functions
CluE Namespace Reference

namespace for the CluE library More...

## Classes
class | Algorithm
| Abstract base class for algorithms. More...
class | AttributeCalculator
| Abstract base class for attribute calculation (e.g. diameter). More...
class | Bico
| Fast computation of k-means coresets in a data stream. More...
struct | CFEntry
| Clustering feature tree entry. More...
struct | CFREntry
| Clustering feature with representation point. More...
struct | CluEException
| CluE related exceptions base class. More...
class | ClusterDissimilarityMeasure
| Abstract base class for cluster dissimilarity measurement. More...
class | ClusterMeasureSetter
| Interface to propagate the ability to set a ClusterDissimilarityMeasure. More...
class | CombinedEvaluation
| Abstract class. Proxy based evaluation algorithms may be optimized by deriving from this class. More...
struct | comparePairFirst
class | DiscreteBoundedSpace
| Interface to extend a template type to provide discrete (bounded) space {0, ..., n-1}^d features. More...
class | DiscreteProxyProvider
| Abstract base class to access the results of proxy / center based clustering algorithms. More...
struct | DiscreteProxySolution
| Data structure for discrete proxies. More...
class | DissimilarityMeasure
| Abstract base class for dissimilarity measurement. More...
class | EuclideanSpaceProvider
| Interface to extend a template type to provide euclidean vector space features. More...
class | Evaluation
| Abstract base class for clustering evaluations. More...
class | InputSetter
| Interface to propagate the ability to set input data. More...
struct | InvalidArgumentException
| Indicates invalid values of arguments. More...
struct | InvalidRuntimeConfigurationException
| Indicates that a computation entered an invalid configuration state. More...
class | KMeansEvaluator
| Calculates the k-means weight. More...
class | L2Metric
| L2 metric for Point. More...
class | MeasureSetter
| Interface to propagate the ability to set a DissimilarityMeasure. More...
class | PartitionEvaluation
| Abstract class for partition-based evaluation algorithms. More...
class | PartitionProvider
| Abstract base class to access results of partition based clustering algorithms. More...
class | Point
| Weighted point of arbitrary dimension. More...
class | PointCentroid
| Center of gravity for Point. More...
class | PointWeightModifier
| Modifies the weight of a Point. More...
class | ProxyEvaluation
| Abstract class for proxy-based evaluation algorithms. More...
class | ProxyGenerator
| Abstract base class for mechanisms that compute a proxy or representative object for a given set of objects, e.g. a cluster center. More...
class | ProxyProvider
| Abstract base class to access results of proxy / center based clustering algorithms. More...
struct | ProxySolution
| Data structure for proxies. More...
class | Randomness
| Random number generator. More...
class | RealSpaceProvider
| Provides euclidean vector space features for Point. More...
class | SolutionProvider
| Abstract base class for algorithm solutions. More...
class | SquaredL2Metric
| Squared L2 metric for Point. More...
class | StreamingAlgorithm
| Abstract base class for streaming algorithms. More...
class | WeightedObject
| Abstract base class for weighted objects. More...
class | WeightModifier
| Abstract base class to modify the weight of weighted objects. More...

## Functions
std::ostream & | operator<< (std::ostream &, Point const &)
Point | operator* (double scalar, Point const &vec)
double | operator* (Point const &vec1, Point const &vec2)

## Detailed Description

namespace for the CluE library

## Function Documentation

std::ostream & CluE::operator<< | ( | std::ostream & | os,
|  | Point const & | p
| ) |  |

Definition at line 187 of file point.cpp.

Point CluE::operator* | ( | double | scalar,
|  | Point const & | vec
| ) |  |

Definition at line 201 of file point.cpp.

double CluE::operator* | ( | Point const & | vec1,
|  | Point const & | vec2
| ) |  |

Exceptions

  InvalidArgumentException | [0] Incompatible dimensions!

Definition at line 212 of file point.cpp.